## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XPathProcessor Class Reference

`#include <XPathProcessor.hpp>`

Inheritance diagram for XPathProcessor:

[legend]
List of all members.

## Public Types

- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  Locator LocatorType

## Public Methods

- XPathProcessor ()
- virtual ~XPathProcessor ()
- virtual void initXPath (XPath &pathObj, XPathConstructionContext &constructionContext, const XalanDOMString &expression, const PrefixResolver &resolver, const LocatorType *locator=0, bool allowVariableReferences=true, bool allowKeyFunction=true)=0
    Given a string, make an XPath object, in order that a parse doesn't have to be done each time the expression is executed. More...
- virtual void initMatchPattern (XPath &pathObj, XPathConstructionContext &constructionContext, const XalanDOMString &expression, const PrefixResolver &resolver, const LocatorType *locator=0, bool allowVariableReferences=true, bool allowKeyFunction=true)=0
    Given a string, create an XSLT Match Pattern object. More...

## Static Public Methods

- void installFunction (const XalanDOMString &theFunctionName, const Function &theFunction)
    Given a string, and a reference to a function object, install the function with the given name. More...

## Member Typedef Documentation

typedef XERCES_CPP_NAMESPACE_QUALIFIER Locator XPathProcessor::LocatorType

## Constructor & Destructor Documentation

XPathProcessor::XPathProcessor ( | )`[explicit]`

XPathProcessor::~XPathProcessor ( | )`[virtual]`

## Member Function Documentation

void XPathProcessor::initMatchPattern ( | XPath & pathObj,
| XPathConstructionContext & constructionContext,
| const XalanDOMString & expression,
| const PrefixResolver & resolver,
| const LocatorType * locator = 0,
| bool allowVariableReferences = true,
| bool allowKeyFunction = true )`[pure virtual]`

  | Given a string, create an XSLT Match Pattern object. Parameters:
  pathObj | XPath object to be initialized
  constructionContext | The construction context
  expression | expression that will be evaluated
  resolver | prefix resolver to use
  locator | the LocatorType to use for error report. May be null
  allowVariableReferences | If true, variable references are allowed.
  allowKeyFunction | If true, calls to the key() function are allowed.
Reimplemented in XPathProcessorImpl.

void XPathProcessor::initXPath ( | XPath & pathObj,
| XPathConstructionContext & constructionContext,
| const XalanDOMString & expression,
| const PrefixResolver & resolver,
| const LocatorType * locator = 0,
| bool allowVariableReferences = true,
| bool allowKeyFunction = true )`[pure virtual]`

  | Given a string, make an XPath object, in order that a parse doesn't have to be done each time the expression is executed. Parameters:
  pathObj | XPath object to be initialized
  constructionContext | The construction context
  expression | expression that will be evaluated
  resolver | prefix resolver to use
  locator | the LocatorType to use for error report. May be null
  allowVariableReferences | If true, variable references are allowed.
  allowKeyFunction | If true, calls to the key() function are allowed.
Reimplemented in XPathProcessorImpl.

void XPathProcessor::installFunction ( | const XalanDOMString & theFunctionName,
| const Function & theFunction )`[static]`

  | Given a string, and a reference to a function object, install the function with the given name. Parameters:
  theFunctionName | name of function
  theFunction | function object corresponding to name

The documentation for this class was generated from the following file:

- XPathProcessor.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.